;+
;
; @file_comments
; definition of the domain on ORCA2 but with i/j index instead of
; longitude/latitude
;
; different possibilities are proposed
;
; @history
; Sebastien Masson
;
; @version
; $Id$
;
;-
;
; 1) definition with a file
;
file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
initncdf, file, xminmesh = 1, xmaxmesh = -1 $
          , yminmesh = 0, ymaxmesh = -1, /xyindex, stride = [2, 1, 1] $
          , /lookalldir
;
; 2) definition with the meshmask
;
; file = 'micromeshmaskORCA05.nc'
; initncdf, file, xaxisname = 'glamt', yaxisname = 'gphit' $
;           , /xyindex, zaxisname = 'gdept', stride = [2, 1, 1] $
;           , yminmesh = 0, ymaxmesh = -1, xminmesh = 1, xmaxmesh = -1 $
;           , /lookalldir
;
; 3) by calling directly computegrid
;
; if we don't know jpiglo and jpjglo, we call ncdf_meshread with /getdimensions
; ncdf_meshread, 'micromeshmaskORCA05.nc', /getdimensions $
;               , iodirectory = [iodir, homedir, !path], /recursive
;---------------------------------------------------------
; define the grid parameters
;---------------------------------------------------------
; computegrid, 0, 0, 1, 1, jpiglo, jpjglo, xminmesh = 1, xmaxmesh = -1 $
;           , yminmesh = 0, ymaxmesh = -1, onearth = 0, stride = [2, 1, 1] $
;           , /lookalldir
